3 questions

Discussion in 'PSP - Games & Content' started by mad567, Jun 25, 2010.

  1. mad567
    OP

    mad567 D. Gregar

    Member
    505
    0
    Aug 30, 2007
    Greece
    London, UK
    I decided to dust off my psp after 2 mothns with no use [​IMG].....but i have some questions guys:

    1st I have god eater iso and I can't run it on 5.50 Gen D3........Any help???

    2nd I can't seem to get working the d3/d2 swither....I choose d2 and it seems to stay on d3

    3rd Which is better 5.00 m33 or 5.50 gen 3


    Thanks in advance guys for answering [​IMG]
     
  2. Overman1977

    Overman1977 GBAtemp Regular

    Member
    253
    0
    Feb 22, 2009
    Canada
    1. You need or should have Prometheus vX to play God Eater; it will allow you to play most recent games.

    2. No idea, sorry.

    3. Personal preference. GEN-D3 has slightly better comapltiblity due to autopatching, but it can also cause save game corruptions. If you download your games prepatched as I do, there's little need for GEN-D3......and that's such a loaded question and I'm sure it will start M33 vs. GEN wars.....lol
     
  3. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    Which means compatibility is the wrong word...it's just auto patching...
     
  4. mad567
    OP

    mad567 D. Gregar

    Member
    505
    0
    Aug 30, 2007
    Greece
    London, UK
    Any link for Prometheus vX ??????

    And btw thanks overman for answering [​IMG]
     
  5. Overman1977

    Overman1977 GBAtemp Regular

    Member
    253
    0
    Feb 22, 2009
    Canada
    http://pspslimhacks.com/prometheus-module-...0-gen-5-00-m33/

    Also search the site for the Prometheus Firmware, which is based on GEN-D3.

    And yes 'compatibility' was the word I was looking for..... some games when run on M33 need to be patched in order to be compatible with the CFW. GEN-D3 has slightly better compatibility because it does this for you...but let's not mince words here.
     
  6. Apex

    Apex GBAtemp Fan

    Member
    367
    27
    Sep 4, 2006
    茨城県
    Not sure if this helps, but D3-D2 switcher wont work if you have the Kingdom Hearts.PRX (The pluggin that lets you play the hacked-iso of kingdom hearts.) enabled. It goes to switch your Pegasus.prx, but ends up just deleting it instead, so you need to disable that, get the Pegasus.prx and try again.
     
  7. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    In that case M33 has better "compatibility" because it plays a greater number of games when patched correctly, whereas GEN-D3 has a greater "native compatibility" but poorer "total compatibility".
     
  8. Overman1977

    Overman1977 GBAtemp Regular

    Member
    253
    0
    Feb 22, 2009
    Canada
    I suggest not to mince words, but here you are mincing words again. Do you even care to help this guy out, or do you just need to have your opinion read; whether on topic or not? Let's just keep this thread going so we can assist this guy. Thank you.

    Here is the link to the Promethus Firmware, BTW:

    http://pspslimhacks.com/custom-firmware-5-...-1000-released/
     
  9. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    No HERE is a link to the Prometheus firmware.

    And i assume that you don't understand the term to "mince words". Using the terms you did implies GEN would play the most games...which it doesn't.
     
  10. mad567
    OP

    mad567 D. Gregar

    Member
    505
    0
    Aug 30, 2007
    Greece
    London, UK
    thank you guys now something else..........

    How to patch the incompatible games with promitheus to work on it?????...

    basicly where i can find the patcher
     
  11. xist

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    If you're using the Prometheus firmware it already incorporates it.